import React, { Component } from 'react';
import { List, InputItem, DatePicker, Button, Toast } from 'antd-mobile';
import styles from './style.css';
import { applyPublicCar, sendMsg } from '../../api/index';

const minDate = new Date();
class PublicCarApply extends Component {
  state = {
    department: '',
    createDate: '',
    name: '',
    categoryName: '',
    userCount: '',
    beginDate: '',
    endDate: '',
    lineDescription: '',
  };
  onSubmit = () => {
    // applyPublicCar({
    //   ...this.state,
    // })
    //   .then(res => {
    //     console.log('res: ' + res);
    //   })
    //   .catch(err => {
    //     console.log('err: ' + err);
    //   });
    sendMsg({
      cellphone: '18108096099',
    })
      .then(res => {
        console.log(res);
        Toast.success('发送成功！');
      })
      .catch(err => {
        console.log(err);
      });
  };
  render() {
    return (
      <div className={styles.bg}>
        公务约车
        <List className={styles.content}>
          <InputItem clear placeholder="用车部门">
            用车部门
          </InputItem>
          <InputItem clear placeholder="申请时间">
            申请时间
          </InputItem>
          <InputItem clear placeholder="申请人">
            申请人
          </InputItem>
          <InputItem clear placeholder="用车类型">
            用车类型
          </InputItem>
          <InputItem clear placeholder="用车人数">
            用车人数
          </InputItem>
          <DatePicker
            minDate={minDate}
            value={this.state.beginDate}
            onChange={date => this.setState({ beginDate: date })}
          >
            <List.Item arrow="horizontal">用车开始时间</List.Item>
          </DatePicker>
          <DatePicker
            minDate={this.state.beginDate}
            value={this.state.endDate}
            onChange={date => this.setState({ endDate: date })}
          >
            <List.Item arrow="horizontal">用车结束时间</List.Item>
          </DatePicker>
        </List>
        <Button type="primary" size="small" inline onClick={this.onSubmit}>
          提交
        </Button>
      </div>
    );
  }
}

export default PublicCarApply;
