import React, { Component } from 'react';
import { Switch, Route, Redirect } from 'react-router-dom';
import styles from './style.css';
import ReprtRepair from './ReprtRepair';
import RepairList from './RepairList';
class index extends Component {
  state = {
    tab: 'ReprtRepair',
  };
  toggleRouteHandle = name => {
    if (name === this.state.tab) return;
    console.log(name);
    const { history } = this.props;
    this.setState({
      tab: name,
    });
    history.replace('/repair/' + name);
  };
  render() {
    const { tab } = this.state;
    return (
      <div className="Content-Wrap">
        <div className={styles.content}>
          <Switch>
            <Route path="/repair/ReprtRepair" component={ReprtRepair} />
            <Route path="/repair/RepairList" component={RepairList} />
            <Route render={() => <Redirect to="/repair/ReprtRepair" />} />
          </Switch>
        </div>
        <div className={styles.footer}>
          <span
            className={`${[styles['footer-item']]} ${
              tab === 'ReprtRepair' ? styles.activated : ''
            }`}
            onClick={() => this.toggleRouteHandle('ReprtRepair')}
          >
            报修服务
          </span>
          <span className={styles.line}></span>
          <span
            className={`${[styles['footer-item']]} ${
              tab === 'RepairList' ? styles.activated : ''
            }`}
            onClick={() => this.toggleRouteHandle('RepairList')}
          >
            报修记录
          </span>
        </div>
      </div>
    );
  }
}

export default index;
